import { Pipe, PipeTransform } from '@angular/core';
import { ItemDTO } from '@swagger/cat';

@Pipe({
  name: 'searchResultSelected',
})
export class SearchResultSelectedPipe implements PipeTransform {
  transform(item: ItemDTO, selectedItemIds: number[]): any {
    return selectedItemIds?.includes(item?.id);
  }
}
